Name:          libcap
Version:       2.65
Release:       1mamba
Summary:       POSIX 1003.1e capabilities
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sites.google.com/site/fullycapable
Source:        https://git.kernel.org/pub/scm/libs/libcap/libcap.git/libcap-%{version}/libcap-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: pam-devel
Requires(post): libcap-tools = %{version}-%{release}
Obsoletes:     libcap1 < 2.49

%description
POSIX 1003.1e capabilities.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{version}-%{release}
Obsoletes:     libcap1-devel < 2.49

%description devel
POSIX 1003.1e capabilities
This package contains static libraries and header files needed for development.

%package tools
Group:         System/Tools
Summary:       Tools for %{name}
Requires:      %{name} = %{version}-%{release}

%description tools
POSIX 1003.1e capabilities
This package contains tools for %{name}.

%debug_package

%prep
%setup -q

%build
%make -j1 \
   GOLANG=no \
   CC=%{_host}-gcc \
   BUILD_CC=%{_build}-gcc \
   SBINDIR=%{_sbindir} \
   LIBDIR=%{_libdir} \
%if "%{_host}" != "%{_build}"
   LDFLAGS="-lcrypt -lattr -L../libcap/"
%endif

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man8
%makeinstall \
   GOLANG=no \
   FAKEROOT=%{buildroot} \
   RAISE_SETFCAP=no \
   SBINDIR=%{_sbindir} \
   LIBDIR=%{_libdir}

install -Dm644 pam_cap/capability.conf \
  %{buildroot}%{_docdir}/libcap/capability.conf.example

chmod +x %{buildroot}%{_libdir}/libcap.so.*

install -d -m0755 %{buildroot}/%{_lib}
mv %{buildroot}%{_libdir}/security %{buildroot}/%{_lib}

# remove conflicting man pages
rm -f %{buildroot}%{_mandir}/man2/capset*
rm -f %{buildroot}%{_mandir}/man2/capget*

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
/sbin/ldconfig
if [ $1 -ge 1 ]; then
   /sbin/setcap cap_setfcap=i /sbin/setcap
fi
:

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libcap.so.*
%{_libdir}/libpsx.so.*
/%{_lib}/security/pam_cap.so

%files devel
%defattr(-,root,root)
%{_includedir}/sys/capability.h
%{_includedir}/sys/psx_syscall.h
%{_libdir}/libcap.a
%{_libdir}/libcap.so
%{_libdir}/libpsx.a
%{_libdir}/libpsx.so
%{_libdir}/pkgconfig/libcap.pc
%{_libdir}/pkgconfig/libpsx.pc
%{_mandir}/man3/*.3*

%files tools
%defattr(-,root,root)
%{_sbindir}/capsh
%{_sbindir}/getcap
%{_sbindir}/getpcaps
%{_sbindir}/setcap
%{_mandir}/man1/capsh.1*
%{_mandir}/man8/captree.8*
%{_mandir}/man8/getcap.8*
%{_mandir}/man8/getpcaps.8*
%{_mandir}/man8/setcap.8*
%{_docdir}/libcap/capability.conf.example
%doc README

%changelog
* Mon Jul 18 2022 Automatic Build System <autodist@mambasoft.it> 2.65-1mamba
- automatic version update by autodist

* Mon Apr 11 2022 Automatic Build System <autodist@mambasoft.it> 2.64-1mamba
- automatic version update by autodist

* Wed Jan 26 2022 Automatic Build System <autodist@mambasoft.it> 2.63-1mamba
- automatic version update by autodist

* Sun Dec 12 2021 Automatic Build System <autodist@mambasoft.it> 2.62-1mamba
- automatic version update by autodist

* Sun Nov 21 2021 Automatic Build System <autodist@mambasoft.it> 2.61-1mamba
- automatic version update by autodist

* Sun Oct 24 2021 Automatic Build System <autodist@mambasoft.it> 2.60-1mamba
- automatic version update by autodist

* Tue Sep 28 2021 Automatic Build System <autodist@mambasoft.it> 2.59-1mamba
- automatic version update by autodist

* Sat Sep 18 2021 Automatic Build System <autodist@mambasoft.it> 2.58-1mamba
- automatic version update by autodist

* Fri Sep 10 2021 Automatic Build System <autodist@mambasoft.it> 2.57-1mamba
- automatic version update by autodist

* Sat Sep 04 2021 Automatic Build System <autodist@mambasoft.it> 2.56-1mamba
- automatic version update by autodist

* Tue Aug 31 2021 Automatic Build System <autodist@mambasoft.it> 2.55-1mamba
- automatic version update by autodist

* Sun Aug 29 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.54-2mamba
- fixed URL and Source urls; removed build requirement for libatts as per upstream developer indications

* Fri Aug 27 2021 Automatic Build System <autodist@mambasoft.it> 2.54-1mamba
- automatic version update by autodist

* Tue Aug 17 2021 Automatic Build System <autodist@mambasoft.it> 2.53-1mamba
- automatic version update by autodist

* Tue Aug 03 2021 Automatic Build System <autodist@mambasoft.it> 2.52-1mamba
- automatic version update by autodist

* Sun Jun 27 2021 Automatic Build System <autodist@mambasoft.it> 2.51-1mamba
- automatic version update by autodist

* Sat Jun 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.50-1mamba
- update to 2.50

* Tue Apr 13 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.49-2mamba
- install pam file to /%_lib/security

* Sun Mar 14 2021 Automatic Build System <autodist@mambasoft.it> 2.49-1mamba
- automatic version update by autodist

* Sat Feb 06 2021 Automatic Build System <autodist@mambasoft.it> 2.48-1mamba
- automatic version update by autodist

* Tue Jan 26 2021 Automatic Build System <autodist@mambasoft.it> 2.47-1mamba
- automatic version update by autodist

* Wed Jan 13 2021 Automatic Build System <autodist@mambasoft.it> 2.46-1mamba
- automatic version update by autodist

* Fri Dec 18 2020 Automatic Build System <autodist@mambasoft.it> 2.45-1mamba
- automatic version update by autodist

* Sat Oct 17 2020 Automatic Build System <autodist@mambasoft.it> 2.44-1mamba
- automatic version update by autodist

* Mon Aug 31 2020 Automatic Build System <autodist@mambasoft.it> 2.43-1mamba
- automatic version update by autodist

* Thu Aug 20 2020 Automatic Build System <autodist@mambasoft.it> 2.42-1mamba
- automatic version update by autodist

* Tue Aug 04 2020 Automatic Build System <autodist@mambasoft.it> 2.38-1mamba
- automatic version update by autodist

* Wed Jul 15 2020 Automatic Build System <autodist@mambasoft.it> 2.37-1mamba
- automatic version update by autodist

* Sat Jun 20 2020 Automatic Build System <autodist@mambasoft.it> 2.36-1mamba
- automatic version update by autodist

* Wed Jun 17 2020 Automatic Build System <autodist@mambasoft.it> 2.35-1mamba
- automatic version update by autodist

* Sun May 24 2020 Automatic Build System <autodist@mambasoft.it> 2.34-1mamba
- automatic version update by autodist

* Sun Mar 08 2020 Automatic Build System <autodist@mambasoft.it> 2.33-1mamba
- automatic version update by autodist

* Sat Feb 29 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.32-1mamba
- update to 2.32

* Fri Feb 14 2020 Automatic Build System <autodist@mambasoft.it> 2.31-1mamba
- automatic version update by autodist

* Sat Apr 20 2019 Automatic Build System <autodist@mambasoft.it> 2.27-1mamba
- automatic version update by autodist

* Tue Dec 04 2018 Automatic Build System <autodist@mambasoft.it> 2.26-1mamba
- automatic version update by autodist

* Wed Jun 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.25-2mamba
- libcap: require libcap-tools

* Wed Feb 17 2016 Automatic Build System <autodist@mambasoft.it> 2.25-1mamba
- automatic version update by autodist

* Thu Jan 09 2014 Automatic Build System <autodist@mambasoft.it> 2.24-1mamba
- automatic version update by autodist

* Mon Jan 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.23-1mamba
- update to 2.23

* Tue Aug 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.22-1mamba
- update to 2.22

* Mon Jan 18 2010 Automatic Build System <autodist@mambasoft.it> 2.19-1mamba
- automatic update by autodist

* Fri Aug 28 2009 Automatic Build System <autodist@mambasoft.it> 2.17-1mamba
- automatic update by autodist

* Sat Jan 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16-1mamba
- automatic update by autodist

* Wed Nov 28 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.02-1mamba
- update to 2.02

* Sun Feb 20 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10-1qilnx
- package created by autospec
